Bug 965592 - Text mode does not use user friendly names for hard drives
Text mode does not use user friendly names for hard drives
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-21 07:51 EDT by Marian Ganisin
Modified: 2013-06-11 23:39 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.30.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:39:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2013-05-21 07:51:26 EDT
Description of problem:

In Installation destination section hard drives are represented just by devname like sda or vda. Neither user friendly name nor size of hard drive is present, therefore it may be hard to identify right hard drive.

This can cause unexpected data loss.

Version-Release number of selected component (if applicable):
Fedora-19-Beta-RC2
anaconda-19.28

Actual results:

[ ] 1) vda

[ ] 2) vdb

Expected results:

[ ] 1) Hitachi ... 200 GB (sda)

[ ] 2) Seagate ... 1 TB (sdb)

... or anything what can help to identify hard drive (partitions, physical connection, ...)
Comment 1 Samantha N. Bueno 2013-05-30 13:49:47 EDT
Patch posted. Here's an image of how the storage spoke will look with the patch applied:

http://sbueno.fedorapeople.org/images/965592.png
Comment 2 Samantha N. Bueno 2013-06-03 15:44:16 EDT
Patch pushed, commit eeaa1cb1ce3ec46b9714c1a01377508cb2aa6390
Comment 3 Fedora Update System 2013-06-03 18:19:08 EDT
anaconda-19.30.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30.2-1.fc19
Comment 4 Fedora Update System 2013-06-04 22:29:28 EDT
Package anaconda-19.30.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9996/anaconda-19.30.2-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-06 14:37:59 EDT
anaconda-19.30.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30.3-1.fc19
Comment 6 Fedora Update System 2013-06-11 23:39:12 EDT
anaconda-19.30.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.